<?php

/* logout.php:  Clean up and logout
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: logout.php,v 1.33 2005/06/13 18:12:09 sailfrog Exp $
*/

require_once('../lib/wrapper_functions.php');

/* collect and validate incoming vars */
$hm_input = hm_validate_input($_POST, $_GET, 'logout');

$config = hm_get_config($config_file);
if (isset($config['page_title'])) {
    $title = $config['page_title'];
}
else {
    $title = 'Hastymail';
}
if (isset($hm_input['id'])) {
    $id = $hm_input['id'];
    hm_session_logout($id, $config_file);
}
if (isset($config['default_lang'])) {
    $str = hm_translate($config['default_lang']);
}
else {
    $str = hm_translate('en_US');
}

if (isset($config['signout_url']) && $config['signout_url'] != '') {
    header ("Location:".$config['signout_url']);
    exit;
}
if (isset($config['default_theme']) && $config['default_theme'] != '') {
    $style = str_replace(array('_large', '_small'), '', $config['default_theme']);
}
else {
    $style = 'default.css';
}
$page_data = array();
$page_data['theme'] = $style;
$page_data['title'] = $title;
$page_data['charset'] = $str['charset'];
$page_data['lbl_logout'] = $str[97];
$page_data['lbl_login_again'] = $str[96];
$page_data['lbl_goodbye'] = $str[95];
$page_data['login_url'] = $config['hostname'].$config['install_path'].'login.php';
if (isset($_SESSION['settings']['template_set'])) {
    $template_set = $_SESSION['settings']['template_set'];
}
elseif (isset($config['template_set']) && $config['template_set'] != '') {
    $template_set = $config['template_set'];
}
else {
    $template_set = 'default';
}

/* get simple mode flag */
$simple = false;
if (isset($config['always_simplify']) && $config['always_simplify'] == 'true') {
    $simple = true;
}    
if (isset($_SERVER['HTTP_USER_AGENT']) && (!isset($config['no_auto_simplify']) || 
    $config['no_auto_simplify'] != 'true')) {
    if (hm_browser_type ($_SERVER['HTTP_USER_AGENT'])) {
        $simple = true;
    }
}

/* output page */
if (!$simple) {
    hm_output_page($page_data, 'logout_template.php', $template_set);
}
else {
    hm_output_page($page_data, 'logout_template.php', 'simple');
}
?>
