<?php

/* post_and_get.php: Allowed variables from $_POST and $_GET arrays
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: post_and_get.php,v 1.6 2006/01/10 22:44:03 sailfrog Exp $
*/

$allowed = array (
    'mailbox'     =>
                array ( 'submit_page' => 'string',  'next'            => 'int',
                        'prev'        => 'int',     'mailbox'         => 'folder', 
                        'page_num'    => 'int',     'selection_type'  => 'string',
                        'sort'        => 'true',    'destination'     => 'string', 
                        'page2'       => 'int',     'selection_type2' => 'string',
                        'sort2'       => 'true',    'destination2'    => 'string', 
                        'page_string' => 'string',  'uid_string'      => 'int',
                        'new'         => 'int',     'id'              => 'id',
                        'sort_type'   => 'string',  'reply_notice'    => 'int', 
                        'uid_delete'  => 'int',     'page'            => 'int',
                        'submit2'     => 'true',    'sort_type2'      => 'string',
                        'pass'        => 'string',  'user'            => 'string',
                        'uid_move'    => 'int',     'alt_server'      => 'int',
                        'login'       => 'true',    'toggle_all'      => 'true',
                        'uid'         => 'int',     'psubmit'         => 'true',
                        'nsubmit'     => 'true',    'copy'            => 'true',
                        'move'        => 'true',    'read'            => 'true',
                        'delete'      => 'true',    'unread'          => 'true',
                        'sort2'       => 'true',    'move2'           => 'true',
                        'copy2'       => 'true',    'read2'           => 'true',
                        'unread2'     => 'true',    'delete2'         => 'true',
                        'purge'       => 'true',    'submit_page2'    => 'true',
                        'new_session' => 'true',    'skip_trash'      => 'int',
                        'skip_trash2' => 'int',     'kan_uid'         => 'int',
                        'kan_folder'  => 'folder',  'keep_as_new'     => 'true', 
                        'flag'        => 'true',    'flag2'           => 'true',
                        'unflag'      => 'true',    'unflag2'         => 'true',
                        'sort_filter' => 'string',  'login_message_view' => 'string',
                        'sort_filter2' => 'string', 'update'          => 'true',
                        'expunge'      => 'true',   'expunge2'        => 'true'),
    'message'     =>
                array ( 'full'          => 'string',  'mailbox'       => 'folder',
                        'new'           => 'int',     'page_num'      => 'int',
                        'uid'           => 'int',     'part'          => 'float',
                        'subject'       => 'string',  'from'          => 'string',
                        'date'          => 'string',  'to'            => 'string',
                        'part_full'     => 'string',  'top_level'     => 'float',
                        'id'            => 'id',      'name'          => 'string',
                        'raw'           => 'int',     'parts'         => 'string',
                        'move'          => 'string',  'uid_delete'    => 'int',
                        'search'        => 'int',     'thread'        => 'int',
                        'uid_move'      => 'int',     'destination'   => 'folder',
                        'draft'         => 'int',     'bounce_notice' => 'string',
                        'find_response' => 'string',  'big_text'      => 'string',
                        'scroll_uid'    => 'int',     'hide_folder_preview' => 'int',
                        'delete'        => 'string',  'view'          => 'string',
                        'next_uid_normal' => 'int',   'previous_uid_normal' => 'int',
                        'next_normal'   => 'true',    'previous_normal' => 'true',
                        'skip_trash'    => 'int',     'from_message'  => 'int',
                        'center_normal' => 'true',    'keep_as_new'   => 'true',
                        'kan_folder'    => 'folder',  'kan_uid'       => 'int',
                        'redirect'      => 'true',    'redirect_to'   => 'string',
                        'view_all'      => 'int',     'redirect_from' => 'string',
                        'pv'            => 'true'),
    'new'         =>
                array ( 'id'              => 'id',     'mailbox'     => 'folder',
                        'move'            => 'string', 'destination' => 'string',
                        'selection_type'  => 'string', 'toggle_all'  => 'true',
                        'read'            => 'true',   'copy'        => 'true',
                        'delete'          => 'true',   'move2'       => 'true',
                        'copy2'           => 'true',   'read2'       => 'true',
                        'selection_type2' => 'string', 'delete2'     => 'true',
                        'destination2'    => 'string', 'skip_trash'  => 'int',
                        'skip_trash2'     => 'int',    'keep_as_new' => 'true',
                        'kan_folder'      => 'folder', 'kan_uid'     => 'int',
                        'flag'            => 'true',   'flag2'       => 'true',
                        'unflag'          => 'true',   'unflag2'     => 'true',
                        'sort'            => 'true',   'sort_type'   => 'string',
                        'unfold_all'      => 'true',   'fold_all'    => 'true',
                        'fold'            => 'string', 'unfold'      => 'string',
                        'default'         => 'true'),
    'search'      =>
                array ( 'id'             => 'id',     'mailbox'         => 'folder',
                        'range_type'     => 'string', 'month'           => 'string',
                        'day'            => 'int',    'year'            => 'int',
                        'size_type'      => 'string', 'size'            => 'int',
                        'size_unit'      => 'string', 'search_part'     => 'string',
                        'sstring'        => 'string', 'update'          => 'true',
                        'FLAG_FLAGGED'   => 'string', 'FLAG_UNFLAGGED'  => 'string',
                        'FLAG_SEEN'      => 'string', 'FLAG_UNSEEN'     => 'string',
                        'FLAG_DELETED'   => 'string', 'FLAG_UNDELETED'  => 'string',
                        'FLAG_ANSWERED'  => 'string', 'FLAG_UNANSWERED' => 'string',
                        'FLAG_DRAFT'     => 'string', 'FLAG_UNDRAFT'    => 'string',
                        'FLAG_RECENT'    => 'string', 'FLAG_OLD'        => 'string',
                        'search_folders' => 'array',  'uid'             => 'int',
                        'move'           => 'true',   'destination'     => 'string',
                        'selection_type' => 'string', 'toggle_all'      => 'true',
                        'search'         => 'true',   'reset'           => 'true',
                        'read'           => 'true',   'unread'          => 'true',
                        'copy'           => 'true',   'delete'          => 'true',
                        'skip_trash'     => 'int',    'keep_as_new'     => 'true',
                        'kan_folder'     => 'folder', 'kan_uid'         => 'int',
                        'flag'           => 'true',   'flag2'           => 'true',
                        'unflag'         => 'true',   'unflag2'         => 'true',
                        'promote'        => 'true',   'not_match'       => 'int',
                        'expunge'        => 'true'),
    'iframe'      =>
               array ( 'id' => 'id'),
    'options'     =>
                array ( 'id'               => 'id',     'mailbox'         => 'folder',
                        'css_selection'    => 'string', 'sent_on'         => 'int',
                        'update'           => 'true',   'sent_folder'     => 'folder',
                        'page_count'       => 'int',    'refresh_new'     => 'int',
                        'trash_folder'     => 'folder', 'trash_on'        => 'int',
                        'filter_links'     => 'int',    'wrap_clean'      => 'int',
                        'font_type'        => 'string', 'simple'          => 'int',
                        'read_wrap'        => 'int',    'filter_images'   => 'int',
                        'drafts_folder'    => 'folder', 'drafts_on'       => 'int',
                        'lang_selection'   => 'string', 'start_page'      => 'string',
                        'html_only'        => 'int',    'click_links'     => 'int',
                        'click_email'      => 'int',    'add_profile'     => 'true',
                        'date_selection'   => 'string', 'time_selection'  => 'string',
                        'folder_style'     => 'string', 'folder_detail'   => 'string',
                        'html_default'     => 'int',    'folder_preview'  => 'string',
                        /*'pos_1'            => 'string', 'pos_2'           => 'string',
                        'pos_3'              => 'string', 'pos_4'           => 'string',
                        'pos_5'              => 'string', 'pos_6'           => 'string',*/
                        'preview_position' => 'int',     'font_size'      => 'int',
                        'show_clock'       => 'int',     'wide_bar'       => 'int',
                        'default_on'       => 'int',     'default_folder' => 'folder',
                        'subject_size'     => 'int',     'skip_trash'     => 'int',
                        'keep_as_new'      => 'true',    'kan_folder'     => 'folder',
                        'kan_uid'          => 'int',     'new_page_sort'  => 'string',
                        'alt_smtpname'     => 'string',  'default_redirect' => 'string',
                        'delete_draft'     => 'int',     'template_set'   => 'string',
                        'folder_size'      => 'int',     'fold_simple'    => 'int',
                        'dictionary'       => 'string',  'timezones'      => 'string',
                        'daylight_savings' => 'int'),
    'compose'     =>
                array ( 'reply'      => 'int',    'uid'          => 'int', 
                        'part'       => 'float',  'id'           => 'id',
                        'refs'       => 'string', 'messid'       => 'string',
                        'inreplyto'  => 'string', 'to'           => 'string',
                        'from'       => 'int',    'subject'      => 'string',
                        'message'    => 'string', 'cc'           => 'string',
                        'bcc'        => 'string', 'send'         => 'true',
                        'forward'    => 'int',    'list_reply'   => 'string',
                        'mailbox'    => 'folder', 'reply_send'   => 'int',
                        'to_add'     => 'true',   'match'        => 'string',
                        'addresses'  => 'array',  'all'          => 'int',
                        'sig'        => 'true',   'attach'       => 'true',
                        'new'        => 'int',    'delete'       => 'true',
                        'attachment' => 'string', 'save'         => 'true',
                        'draft'      => 'int',    'bounce'       => 'int',
                        'search'     => 'true',   'search_terms' => 'string',
                        'list'       => 'string', 'html_part'    => 'string',
                        'cc_add'     => 'true',   'bcc_add'      => 'true',
                        'no_save'    => 'int',    'mime_type'    => 'string',
                        'kan_folder' => 'folder', 'keep_as_new'  => 'true',
                        'kan_uid'    => 'int',    'kan'          => 'true',
                        'rq_dsn'     => 'int',    'rq_mdn'       => 'int',
                        'priority'   => 'int',    'alt_spass'    => 'string',
                        'parts'      => 'string', 'draft_id'     => 'int',
                        'ean'        => 'int',    'spell'        => 'true',
                        'spell_accept' => 'true', 'spell_recheck' => 'true',
                        'dictionary' => 'string', 'spell_dismiss' => 'true',
                        'preformat'  => 'true'),
    'folders'     =>
                array ( 'id'            => 'id',    'mailbox'     => 'folder',
                        'Update'        => 'true',   'create'     => 'string',
                        'newfolder'     => 'folder', 'parent'     => 'folder',
                        'allow_subs'    => 'string', 'delfolder'  => 'folder',
                        'rename_folder' => 'folder', 'rename_new' => 'folder',
                        'delete'        => 'true',  'confirm_del' => 'string',
                        'rename'        => 'true',   'update'     => 'true',
                        'keep_as_new'   => 'true',   'kan_folder' => 'folder',
                        'kan_uid'       => 'int',    'add_ns'     => 'true',
                        'ns_name'       => 'string', 'del_ns'     => 'true',
                        'ns_del_select' => 'string'),
    'contacts'    =>
                array ( 'id'        => 'id',     'mailbox'      => 'folder',
                        'addresses' => 'string', 'name'         => 'string',
                        'info'      => 'string', 'add'          => 'true',
                        'index'     => 'int',    'update_index' => 'int',
                        'prep'      => 'true',   'prep_addy'    => 'string',
                        'update'    => 'true',   'edit'         => 'true',
                        'delete'    => 'true',   'from_message' => 'int',
                        'kan_folder' => 'folder', 'keep_as_new' => 'true',
                        'kan_uid'   => 'int',     'sort_by' => 'int'),
    'about'       =>
               array ( 'id' => 'id', 'mailbox' => 'folder'),
    'download'    =>
                array ( 'id'      => 'id',     'mailbox' => 'folder',
                        'uid'     => 'int',    'part'    => 'float',
                        'decode'  => 'string', 'type'    => 'string',
                        'subtype' => 'string', 'name'    => 'string'),
    'logout'      =>
               array ( 'id' => 'id'),
    'thread_view' =>
                array ( 'id'          => 'id',    'mailbox'    => 'folder',
                        'uid'         => 'int',   'update'     => 'true',
                        'keep_as_new' => 'true',  'kan_folder' => 'folder',
                        'kan_uid'     => 'int'),
    'redirect'    =>
                array ( 'id'            => 'id',     'options'             => 'true', 
                        'hostname'      => 'string', 'install_path'        => 'string',
                        'mailbox'       => 'folder', 'folders'             => 'true',
                        'contacts'      => 'true',   'compose'             => 'true',
                        'logout'        => 'true',   'search'              => 'true',
                        'new'           => 'true',   'part'                => 'string',
                        'uid'           => 'int',    'page_num'            => 'int',
                        'parts'         => 'string', 'full_headers'        => 'true',
                        'raw_view'      => 'true',   'small_headers'       => 'true',
                        'normal_view'   => 'true',   'thread_view'         => 'true',
                        'print_view'    => 'true',   'raw'                 => 'int',
                        'full'          => 'string', 'hide_folder_preview' => 'int',
                        'folder_view'   => 'true',   'center_move'         => 'true',
                        'uid_move'      => 'int',    'next_uid'            => 'int',
                        'destination'   => 'string', 'reply'               => 'true',
                        'reply_all'     => 'true',   'list_reply'          => 'true',
                        'list_reply_to' => 'string', 'forward'             => 'true',
                        'bounce'        => 'true',   'resume_draft'        => 'true',
                        'find_response' => 'true',   'message_id'          => 'string',
                        'reply_part'    => 'true',   'reply_part_all'      => 'true',
                        'forward_part'  => 'true',   'reply_part_list'     => 'true',
                        'sub_part'      => 'string', 'new_session'         => 'true',
                        'prev_uid'      => 'int',    'previous_move'       => 'true',
                        'next_normal'   => 'true',   'previous_normal'     => 'true',
                        'next_delete'   => 'true',   'previous_delete'     => 'true',
                        'center_delete' => 'true',   'next_uid_normal'     => 'int',
                        'next_search'   => 'true',   'previous_uid_normal' => 'int', 
                        'center_search' => 'true',   'previous_search'     => 'true',
                        'next_uid_search' => 'int',  'previous_uid_search'  => 'int',
                        'next_box_search' => 'string','previous_box_search' => 'string',
                        'next_thread'     => 'true',  'previous_thread'     => 'true',
                        'next_uid_thread' => 'int',   'previous_uid_thread' => 'int',
                        'center_thread'   => 'true',  'next_move'           => 'true',
                        'skip_trash'      => 'int',   'edit_as_new'         => 'true',
                        'center_normal'   => 'true',  'keep_as_new'         => 'true',
                        'go'              => 'true',  'toolbar_mailbox'     => 'folder',
                        'view'            => 'true',  'prep'                => 'true',
                        'prep_addy'       => 'string', 'redirect'           => 'true',
                        'redirect_to'     => 'string', 'view_all'           => 'int',
                        'forward_sel'     => 'int',    'redirect_from'      => 'string',
                        'nv'              => 'true'
                        ));
return $allowed;
?>
